Bug 201088 - NullPointerException at org.netbeans.modules.cnd.discovery.wizard.api.support.ProjectBridge.convertIncludePaths
NullPointerException at org.netbeans.modules.cnd.discovery.wizard.api.support...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0
All All
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch2-verified...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 11:08 UTC by Exceptions Reporter
Modified: 2011-09-27 13:05 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.13 KB, text/plain)
2011-08-18 11:09 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-08-18 11:08:59 UTC
This issue was reported manually by vv159170.
It already has 1 duplicates 


Build: NetBeans IDE 7.0.1 (Build 201107282000)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.1-b02-384, Java(TM) SE Runtime Environment, 1.6.0_26-b03-384-10M3425
OS: Mac OS X

User Comments:
GUEST: Compiling C++ apps on remote host via SSH




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.discovery.wizard.api.support.ProjectBridge.convertIncludePaths(ProjectBridge.java:246)
   at org.netbeans.modules.cnd.discovery.api.ProjectImpl.isSourcesEquals(ProjectImpl.java:170)
   at org.netbeans.modules.cnd.discovery.api.ProjectImpl.mergeLists(ProjectImpl.java:155)
   at org.netbeans.modules.cnd.discovery.api.ProjectImpl.divideByLanguage(ProjectImpl.java:114)
   at org.netbeans.modules.cnd.dwarfdiscovery.provider.AnalyzeExecLog$4.getProjectConfiguration(AnalyzeExecLog.java:275)
   at org.netbeans.modules.cnd.discovery.wizard.SelectConfigurationPanel.buildModel(SelectConfigurationPanel.java:377)
Comment 1 Exceptions Reporter 2011-08-18 11:09:03 UTC
Created attachment 110076 [details]
stacktrace
Comment 2 Alexander Simon 2011-08-24 14:23:34 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/b1779dda65c2
Comment 3 Quality Engineering 2011-08-25 13:58:39 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/b1779dda65c2
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201088 NullPointerException at org.netbeans.modules.cnd.discovery.wizard.api.support.ProjectBridge.convertIncludePaths
Comment 4 Vladimir Voskresensky 2011-09-12 14:51:14 UTC
fix is safe and correct
Comment 5 Alexander Simon 2011-09-13 07:06:14 UTC
transplanted in releases_elif branch release701_fixes
b1779dda65c2 transplanted to 8b28376e583f
Comment 6 Alexander Pepin 2011-09-16 15:07:53 UTC
verified in OSS build 30
Comment 7 Quality Engineering 2011-09-26 13:36:40 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/8b28376e583f
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201088 NullPointerException at org.netbeans.modules.cnd.discovery.wizard.api.support.ProjectBridge.convertIncludePaths
Comment 8 Alexander Pepin 2011-09-27 13:05:29 UTC
verified in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo